flake8:
    image: octobus/ci-py2-hgext3rd
    script:
        - hg files -0 'set:(**.py or grep("^#!.*python")) - removed()' -X hgext3rd/evolve/thirdparty | xargs -0 flake8

tests-py2-cext:
    image: octobus/ci-py2-hgext3rd
    script:
        - echo $PWD
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`
        - hg clone https://mirror.octobus.net/hg/ /tmp/mercurial-clone-`hg log -r . -T "{node}"` --config share.pool=/tmp/
        - hg -R /tmp/mercurial-clone-`hg log -r . -T "{node}"` update `hg log -r . -T '{branch}'`
        - (cd tests; /tmp/mercurial-clone-`hg log -r . -T "{node}"`/tests/run-tests.py)
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`

tests-py2-pure:
    image: octobus/ci-py2-hgext3rd
    script:
        - echo $PWD
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`
        - hg clone https://mirror.octobus.net/hg/ /tmp/mercurial-clone-`hg log -r . -T "{node}"` --config share.pool=/tmp/
        - hg -R /tmp/mercurial-clone-`hg log -r . -T "{node}"` update `hg log -r . -T '{branch}'`
        - (cd tests; /tmp/mercurial-clone-`hg log -r . -T "{node}"`/tests/run-tests.py --pure)
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`

tests-py3-cext:
    image: octobus/ci-py3-hgext3rd
    script:
        - echo $PWD
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`
        - hg clone https://mirror.octobus.net/hg/ /tmp/mercurial-clone-`hg log -r . -T "{node}"` --config share.pool=/tmp/
        - hg -R /tmp/mercurial-clone-`hg log -r . -T "{node}"` update `hg log -r . -T '{branch}'`
        - (cd tests; python3 /tmp/mercurial-clone-`hg log -r . -T "{node}"`/tests/run-tests.py)
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`

tests-py3-pure:
    image: octobus/ci-py3-hgext3rd
    script:
        - echo $PWD
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`
        - hg clone https://mirror.octobus.net/hg/ /tmp/mercurial-clone-`hg log -r . -T "{node}"` --config share.pool=/tmp/
        - hg -R /tmp/mercurial-clone-`hg log -r . -T "{node}"` update `hg log -r . -T '{branch}'`
        - (cd tests; python3 /tmp/mercurial-clone-`hg log -r . -T "{node}"`/tests/run-tests.py --pure)
        - rm -rf /tmp/mercurial-clone-`hg log -r . -T "{node}"`
